Attribute VB_Name = "GIFURL"
Option Explicit

Private Type TGUID
    Data1 As Long
    Data2 As Integer
    Data3 As Integer
    Data4(0 To 7) As Byte
End Type

Private Declare Function OleLoadPicturePath Lib "oleaut32.dll" ( _
                ByVal szURLorPath As Long, _
                ByVal punkCaller As Long, _
                ByVal dwReserved As Long, _
                ByVal clrReserved As OLE_COLOR, _
                ByRef riid As TGUID, _
                ByRef ppvRet As IPicture _
                ) As Long

Public Function GetIconFromURL(ByVal URL As String) As Picture
Dim IID  As TGUID
    With IID
        .Data1 = &H7BF80980
        .Data2 = &HBF32
        .Data3 = &H101A
        .Data4(0) = &H8B
        .Data4(1) = &HBB
        .Data4(2) = &H0
        .Data4(3) = &HAA
        .Data4(4) = &H0
        .Data4(5) = &H30
        .Data4(6) = &HC
        .Data4(7) = &HAB
    End With
    
Dim PathIcon As String
PathIcon = URL & "/favicon.ico"

On Error GoTo ERR_LINE
    OleLoadPicturePath StrPtr(PathIcon), 0&, 0&, 0&, IID, GetIconFromURL
    Exit Function
ERR_LINE:
    Set GetIconFromURL = VB.LoadPicture(PathIcon)
End Function


